import { _ as __button_css } from './button.css-61e9bdab.js';
import * as react from 'react';

/**
 * Button
 *
 * @description
 */
declare const Button: react.ForwardRefExoticComponent<NativeButtonProps & {
    size: keyof typeof buttonStyles.size;
} & react.RefAttributes<HTMLButtonElement>>;
declare const buttonStyles: typeof __button_css;
/**
 * Types
 */
declare type NativeButtonProps = React.ButtonHTMLAttributes<HTMLButtonElement>;
declare type ButtonProps = NativeButtonProps & {
    size: keyof typeof buttonStyles.size;
};

export { Button, ButtonProps };
